﻿<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup Label="ProjectConfigurations">
    <ProjectConfiguration Include="Debug|x64">
      <Configuration>Debug</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="NDEBUG|x64">
      <Configuration>NDEBUG</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|x64">
      <Configuration>Release</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
  </ItemGroup>
  <PropertyGroup Label="Globals">
    <VCProjectVersion>15.0</VCProjectVersion>
    <ProjectGuid>{980873E8-82EA-447A-833F-C8E1DA56AADB}</ProjectGuid>
    <RootNamespace>GLEngine</RootNamespace>
    <WindowsTargetPlatformVersion>10.0</WindowsTargetPlatformVersion>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="Configuration">
    <ConfigurationType>StaticLibrary</ConfigurationType>
    <UseDebugLibraries>true</UseDebugLibraries>
    <PlatformToolset>v143</PlatformToolset>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="Configuration">
    <ConfigurationType>StaticLibrary</ConfigurationType>
    <UseDebugLibraries>false</UseDebugLibraries>
    <PlatformToolset>v143</PlatformToolset>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='NDEBUG|x64'" Label="Configuration">
    <ConfigurationType>StaticLibrary</ConfigurationType>
    <UseDebugLibraries>false</UseDebugLibraries>
    <PlatformToolset>v143</PlatformToolset>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
  <ImportGroup Label="ExtensionSettings">
  </ImportGroup>
  <ImportGroup Label="Shared">
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='NDEBUG|x64'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <PropertyGroup Label="UserMacros" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <OutDir>$(SolutionDir)$(Configuration).$(Platform)\</OutDir>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <OutDir>$(SolutionDir)$(Configuration).$(Platform)\</OutDir>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='NDEBUG|x64'">
    <OutDir>$(SolutionDir)$(Configuration).$(Platform)\</OutDir>
  </PropertyGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <ClCompile>
      <WarningLevel>Level3</WarningLevel>
      <Optimization>Disabled</Optimization>
      <SDLCheck>true</SDLCheck>
      <AdditionalIncludeDirectories>$(SolutionDir)external\glew\include;$(SolutionDir)external\KazMath\src;$(SolutionDir)external\libpng\src;$(SolutionDir)external\SDL\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <MinimalRebuild>
      </MinimalRebuild>
      <MultiProcessorCompilation>true</MultiProcessorCompilation>
      <RuntimeLibrary>MultiThreadedDebugDLL</RuntimeLibrary>
      <LanguageStandard>stdcpp20</LanguageStandard>
    </ClCompile>
    <Lib>
      <AdditionalDependencies>OpenGL32.lib</AdditionalDependencies>
    </Lib>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <ClCompile>
      <WarningLevel>Level3</WarningLevel>
      <Optimization>MaxSpeed</Optimization>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <IntrinsicFunctions>true</IntrinsicFunctions>
      <SDLCheck>true</SDLCheck>
      <AdditionalIncludeDirectories>$(SolutionDir)external\glew\include;$(SolutionDir)external\KazMath\src;$(SolutionDir)external\libpng\src;$(SolutionDir)external\SDL\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <MinimalRebuild>
      </MinimalRebuild>
      <MultiProcessorCompilation>true</MultiProcessorCompilation>
      <RuntimeLibrary>MultiThreadedDLL</RuntimeLibrary>
      <LanguageStandard>stdcpp20</LanguageStandard>
    </ClCompile>
    <Link>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <OptimizeReferences>true</OptimizeReferences>
    </Link>
    <Lib>
      <AdditionalDependencies>OpenGL32.lib</AdditionalDependencies>
    </Lib>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='NDEBUG|x64'">
    <ClCompile>
      <WarningLevel>Level3</WarningLevel>
      <Optimization>MaxSpeed</Optimization>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <IntrinsicFunctions>true</IntrinsicFunctions>
      <SDLCheck>
      </SDLCheck>
      <AdditionalIncludeDirectories>$(SolutionDir)external\glew\include;$(SolutionDir)external\KazMath\src;$(SolutionDir)external\libpng\src;$(SolutionDir)external\SDL\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <MinimalRebuild>
      </MinimalRebuild>
      <MultiProcessorCompilation>true</MultiProcessorCompilation>
      <RuntimeLibrary>MultiThreadedDLL</RuntimeLibrary>
      <PreprocessorDefinitions>NDEBUG;</PreprocessorDefinitions>
      <InlineFunctionExpansion>AnySuitable</InlineFunctionExpansion>
      <FavorSizeOrSpeed>Speed</FavorSizeOrSpeed>
      <OmitFramePointers>true</OmitFramePointers>
      <WholeProgramOptimization>true</WholeProgramOptimization>
      <BufferSecurityCheck>false</BufferSecurityCheck>
      <LanguageStandard>stdcpp20</LanguageStandard>
    </ClCompile>
    <Link>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <OptimizeReferences>true</OptimizeReferences>
    </Link>
    <Lib>
      <AdditionalDependencies>OpenGL32.lib</AdditionalDependencies>
    </Lib>
  </ItemDefinitionGroup>
  <ItemGroup>
    <ClInclude Include="Camera.h" />
    <ClInclude Include="Color.h" />
    <ClInclude Include="CommonHeaders.h" />
    <ClInclude Include="GarbageCollector.h" />
    <ClInclude Include="GLGlobals.h" />
    <ClInclude Include="Image.h" />
    <ClInclude Include="json.h" />
    <ClInclude Include="Macros.h" />
    <ClInclude Include="Mesh.h" />
    <ClInclude Include="MeshFactory.h" />
    <ClInclude Include="Node.h" />
    <ClInclude Include="Object.h" />
    <ClInclude Include="PositionProtocol.h" />
    <ClInclude Include="RenderableProtocol.h" />
    <ClInclude Include="RenderTexture.h" />
    <ClInclude Include="GPURenderProgram.h" />
    <ClInclude Include="GPUProgramBase.h" />
    <ClInclude Include="GPUProgramCache.h" />
    <ClInclude Include="Texture.h" />
    <ClInclude Include="Texture2D.h" />
    <ClInclude Include="Texture3D.h" />
    <ClInclude Include="Visualizer.h" />
  </ItemGroup>
  <ItemGroup>
    <ClCompile Include="Camera.cpp" />
    <ClCompile Include="Color.cpp" />
    <ClCompile Include="GarbageCollector.cpp" />
    <ClCompile Include="GLGlobals.cpp" />
    <ClCompile Include="Image.cpp" />
    <ClCompile Include="Image_bmp.cpp" />
    <ClCompile Include="Image_png.cpp" />
    <ClCompile Include="json.cpp" />
    <ClCompile Include="Mesh.cpp" />
    <ClCompile Include="MeshFactory.cpp" />
    <ClCompile Include="Node.cpp" />
    <ClCompile Include="Object.cpp" />
    <ClCompile Include="PositionProtocol.cpp" />
    <ClCompile Include="RenderableProtocol.cpp" />
    <ClCompile Include="RenderTexture.cpp" />
    <ClCompile Include="GPURenderProgram.cpp" />
    <ClCompile Include="GPUProgramBase.cpp" />
    <ClCompile Include="GPUProgramCache.cpp" />
    <ClCompile Include="Texture.cpp" />
    <ClCompile Include="Texture2D.cpp" />
    <ClCompile Include="Texture3D.cpp" />
    <ClCompile Include="Visualizer.cpp" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\external\glew\proj.win32\glew.vcxproj">
      <Project>{55ae3d72-7de6-f19f-aef2-9ae8ca26cf3d}</Project>
    </ProjectReference>
    <ProjectReference Include="..\external\KazMath\proj.win32\KazMath.vcxproj">
      <Project>{388834ba-8a68-47c0-a2e2-21c815524cb9}</Project>
    </ProjectReference>
    <ProjectReference Include="..\external\libpng\proj.win32\libpng.vcxproj">
      <Project>{d6973076-9317-4ef2-a0b8-b7a18ac0713e}</Project>
    </ProjectReference>
    <ProjectReference Include="..\external\SDL\proj.win32\SDL\SDL.vcxproj">
      <Project>{81ce8daf-ebb2-4761-8e45-b71abcca8c68}</Project>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup>
    <None Include="TextureCopierShader.inl" />
  </ItemGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
  <ImportGroup Label="ExtensionTargets">
  </ImportGroup>
</Project>